USE [master]
GO

/* ***** Object:  Database [OPNR]    Script Date: 10/10/2014 11:06:47 ***** */
IF  EXISTS (SELECT name FROM sys.databases WHERE name = N'OPNR')
DROP DATABASE [OPNR]
GO

USE [master]
GO

/* ***** Object:  Database [OPNR]    Script Date: 10/10/2014 11:06:47 ***** */
CREATE DATABASE [OPNR] ON  PRIMARY 
( NAME = N'OPNR', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\OPNR.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'OPNR_log', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\OPNR_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [OPNR] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [OPNR].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [OPNR] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [OPNR] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [OPNR] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [OPNR] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [OPNR] SET ARITHABORT OFF 
GO

ALTER DATABASE [OPNR] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [OPNR] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [OPNR] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [OPNR] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [OPNR] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [OPNR] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [OPNR] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [OPNR] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [OPNR] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [OPNR] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [OPNR] SET  DISABLE_BROKER 
GO

ALTER DATABASE [OPNR] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [OPNR] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [OPNR] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [OPNR] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [OPNR] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [OPNR] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [OPNR] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [OPNR] SET  READ_WRITE 
GO

ALTER DATABASE [OPNR] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [OPNR] SET  MULTI_USER 
GO

ALTER DATABASE [OPNR] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [OPNR] SET DB_CHAINING OFF 
GO


USE [OPNR]
GO

/* ***** Object:  Table [dbo].[Osoby]    Script Date: 10/10/2014 11:07:49 ***** */
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Osoby](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Imie] [varchar](32) NULL,
	[Nazwisko] [varchar](64) NULL,
	[NrRFID] [varchar](50) NULL,
	[EMail] [varchar](250) NULL,
	[Telefon] [varchar](50) NULL,
	[Login] [varchar](32) NULL,
	[Haslo] [varchar](32) NULL,
	[Operator] [bit] NULL,
	[Aktywny] [bit] NULL,
 CONSTRAINT [PK_Osoby] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UK_OsobyImieNazwisko] UNIQUE NONCLUSTERED 
(
	[Imie] ASC,
	[Nazwisko] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Czy osoba jet operatorem systemu' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Osoby', @level2type=N'COLUMN',@level2name=N'Operator'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Czy wpis jest aktywny' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Osoby', @level2type=N'COLUMN',@level2name=N'Aktywny'
GO


/* ***** Dodaj wpis 'Administrator' do tabeli 'Osoby' ***** */
INSERT INTO [OPNR].[dbo].[Osoby]
( Nazwisko, Login, Haslo, Operator, Aktywny )
VALUES
( 'Administrator', 'admin', '21232f297a57a5a743894a0e4a801fc3', 1, 1 )
GO


USE [OPNR]
GO

/* ***** Object:  Table [dbo].[Paczki]    Script Date: 10/10/2014 11:09:45 ***** */
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Paczki](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[PKod] [varchar](32) NULL,
	[OperDostID] [int] NULL,
	[OperWydID] [int] NULL,
	[AdresatID] [int] NULL,
	[OdbiorcaID] [int] NULL,
	[DTDostawy] [datetime] NULL,
	[DTWydania] [datetime] NULL,
	[Opis] [varchar](255) NULL,
 CONSTRAINT [PK_Paczki] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO
